﻿using System;
using System.Collections.ObjectModel;
using System.Linq;
using System.Windows.Controls;
using Telerik.Windows.Controls;
using System.Windows;

namespace EditInRowDetails
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.radGridView.ItemsSource = this.CreatePersons(10);
			this.radGridView.RowEditEnded += this.radGridView_RowEditEnded;
		}

		void radGridView_RowEditEnded(object sender, GridViewRowEditEndedEventArgs e)
		{
			MessageBox.Show("Opa");
		}

		private ObservableCollection<Person> CreatePersons(int count)
		{
			ObservableCollection<Person> persons = new ObservableCollection<Person>();
			for (int i = 0; i < count; i++)
			{
				persons.Add(new Person()
				{
					FirstName = "Joe " + i,
					LastName = "Rockhead " + i,
					Age = i
				});
			}
			return persons;
		}
	}
}
